# install these packages into /opt if we have a prefix defined for the
# java packages
%{?java_pkg_prefix: %define _prefix /opt/frysk }
%{?java_pkg_prefix: %define _sysconfdir %{_prefix}/etc }
%{?java_pkg_prefix: %define _localstatedir %{_prefix}/var }
%{?java_pkg_prefix: %define _infodir %{_prefix}/share/info }
%{?java_pkg_prefix: %define _mandir %{_prefix}/share/man }
%{?java_pkg_prefix: %define _defaultdocdir %{_prefix}/share/doc }

%{!?c_pkg_prefix: %define c_pkg_prefix %{nil}}
%{!?java_pkg_prefix: %define java_pkg_prefix %{nil}}

%define	name_base	cairo-java

Summary:	Java bindings for the Cairo library
Name:		%{java_pkg_prefix}%{name_base}
Version:	1.0.5
Release: 	8%{?dist}
License:	LGPL
Group:		Development/Libraries
URL:		http://java-gnome.sourceforge.net
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{name_base}/1.0/%{name_base}-%{version}.tar.bz2
Patch0:		%{name}-gjavah.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	fontconfig >= 2.3.1
Requires: 	%{java_pkg_prefix}cairo >= 1.0.0
Requires: 	%{java_pkg_prefix}glib-java >= 0.2.6
BuildRequires:	%{java_pkg_prefix}glib-java-devel >= 0.2.6
BuildRequires:	fontconfig-devel >= 2.3.1
BuildRequires:	cairo-devel >= 1.0.0
BuildRequires:	gcc-java >= 3.3.3
BuildRequires:	docbook-utils
BuildRequires:	java-devel

%description
Cairo-java is a language binding that allows developers to write Cairo
applications in Java.  It is part of Java-GNOME.

%package        devel
Summary:	Compressed Java source files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel
Requires:	fontconfig-devel
Requires:	glib-java-devel

%description    devel
Development part of %{name}.

%prep

%setup -q -n %{name_base}-%{version}
%patch0 -p0
touch aclocal.m4
touch configure Makefile.in

%build 
# if either the C or Java packages has a prefix declared, then we will
# add /opt/frysk/lib/pkgconfig to the pkgconfig path
if  [  'x%{java_pkg_prefix}' != 'x' ] || [ 'x%{c_pkg_prefix}' != 'x' ]; then
	export PKG_CONFIG_PATH=/opt/frysk/lib/pkgconfig
fi

# Two workarounds:
# 1) libtool.m4 calls gcj with $CFLAGS and gcj seems to choke on -Wall.
# 2) libtool does not use pic_flag when compiling, so we have to force it.
RPM_OPT_FLAGS=${RPM_OPT_FLAGS/-Wall /}
%configure CFLAGS="$RPM_OPT_FLAGS" GCJFLAGS="-O2 -fPIC"

make %{?_smp_mflags}

# pack up the java source
find src/java -name \*.java -newer ChangeLog | xargs touch -r ChangeLog
(cd src/java && find . -name \*.java | sort | xargs zip -X -9 src.zip)
touch -r ChangeLog src/java/src.zip


%install
rm -rf %{buildroot}

make %{?_smp_mflags} DESTDIR=$RPM_BUILD_ROOT install

# rename doc dir to reflect package rename, if the names differ
if [ 'x%{name_base}' != 'x%{name}' ] ; then
	mv $RPM_BUILD_ROOT%{_docdir}/%{name_base}-%{version} $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
fi

# Remove unpackaged files:
rm $RPM_BUILD_ROOT%{_libdir}/*.la

# install the src zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name_base} | sed 's/-.*//;s/^lib//')
zipfile=$jarname$jarversion-src-%{version}.zip
install -m 644 src/java/src.zip $RPM_BUILD_ROOT%{_datadir}/java/$zipfile
(cd $RPM_BUILD_ROOT%{_datadir}/java &&
  ln -sf $zipfile $jarname$jarversion-src.zip)


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README NEWS 
%{_libdir}/libcairojava-*.so
%{_libdir}/libcairojni-*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%doc doc/api
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libcairojava.so
%{_libdir}/libcairojni.so
%{_datadir}/java/*.zip


%changelog
* Fri Apr 20 2007 Stepan Kasal <skasal@redhat.com> - 1.0.5-8
- Adhere to packaging guidelines.
- Resolves: #225636

* Tue Mar 27 2007 Stepan Kasal <skasal@redhat.com> - 1.0.5-7
- BuildRequire java-devel instead of java-1.4.2-gcj-compat-devel.

* Mon Mar  5 2007 Stepan Kasal <skasal@redhat.com> - 1.0.5-6
- Touch aclocal.m4, configure, Makefile.in after applying the patch.
- Force -fPIC and avoid -Wall with gcj/ecj.

* Wed Feb 21 2007 Andrew Overholt <overholt@redhat.com> 1.0.5-5
- Bump for new gcj.
- Add patch for gcjh -> gjavah.

* Wed Feb 14 2007 Stepan Kasal <skasal@redhat.com> - 1.0.5-4
- Move doc/api to -devel.

* Thu Oct  5 2006 Stepan Kasal <skasal@redhat.com> - 1.0.5-3
- Fix a typo: do not put the source zip to the base package.
- Fix the source packing: preserve source timestamps and prevent multilib
  conflicts. (#192663)

* Wed Aug 30 2006 Stepan Kasal <skasal@redhat.com> - 1.0.5-2
- Do not pack the *.la files.
- Move the *.so symlinks to -devel.
- Do not do `rm *.a'--there are not any.

* Sat Aug 12 2006 Stepan Kasal <skasal@redhat.com> - 1.0.5-1
- New upstream version.
- Use the %%{?dist} tag.
- Use `make %%{?_smp_mflags}'.
- Move pkgconfig description to -devel subpackage.
- The -devel subpackage now requires several -devel packages.
- Do not require gtk2; cairo+fontconfig is enough.  The same for BuildReqs.

* Sat Jul 22 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.0.4-2
- Bump release number. (dist-fc6-java)

* Wed Jul 12 2006 Stepan Kasal <skasal@redhat.com> - 1.0.4-1
- Release 0 is not allowed.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.0.4-0.1
- rebuild

* Sat Jun 17 2006 Stepan Kasal <skasal@redhat.com> - 1.0.4-0
- Use *.tar.bz2, not *.gz.

* Wed Jun 14 2006 Stepan Kasal <skasal@redhat.com> - 1.0.4-0
- New version.

* Wed May 24 2006 Ben Konrath <bkonrath@redhat.com> - 1.0.3-2
- Change mod time of all java source files for the src zip. 
- Add BuildRequires java-gcj-compat-devel.

* Tue May 23 2006 Ben Konrath <bkonrath@redhat.com> - 1.0.3-1
- Add -X to src zip and ensure Config.java has the same mod time across 
  platforms - needed for multilib. 

* Fri Apr 28 2006 Stepan Kasal <skasal@redhat.com> - 1.0.3-0
- New version.

* Wed Mar 01 2006 Adam Jocksch <ajocksch@redhat.com> - 1.0.2.0.20060301.rh1-0
- Increased version of required glib-java to 0.2.3.0.20060301.rh1.
- Imported new tarball to address bg #183538.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.2-0.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.2-0.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Dec 22 2005 Andrew Cagney <cagney@redhat.com> - 1.0.2-0
		  Adam Jocksch <ajocksch@redhat.com>
- import cairo-java-1.0.2.tar.gz.

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> - 1.0.0-5
- build on s390x again.

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> - 1.0.0-4
- rebuilt again

* Tue Dec 13 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Dec 09 2005 Igor Foox <ifoox@rehdat.com> - 1.0.0-3
- Version bump, for gcc 4.1.

* Wed Oct 12 2005 Igor Foox <ifoox@rehdat.com> - 1.0.0-2
- Excluded s390x.

* Wed Oct 12 2005 Igor Foox <ifoox@rehdat.com> - 1.0.0-1
- Updated to released 1.0.1 sources from upstream.

* Wed Oct 12 2005 Igor Foox <ifoox@rehdat.com> - 1.0.0-10
- Added dependency on java-1.4.2-gcj-compat for a javadoc generator (bug# 170494).

* Wed Oct 05 2005 Igor Foox <ifoox@rehdat.com> - 1.0.0-8
- Imported released 1.0.0 sources from upstream.

* Thu Sep 22 2005 Igor Foox <ifoxo@redhat.com> - 1.0.0-6
- Made cairo-pdf background optional.

* Thu Sep 22 2005 Igor Foox <ifoxo@redhat.com> - 1.0.0-4
- Bumped Release number. Added glib-java to BuildRequires. Removed architecture restriction.

* Mon Sep 19 2005 Igor Foox <ifoox@redhat.com> - 1.0.0-3
- Added to rawhide.

